Name:             python-glanceclient
# Since folsom-2 OpenStack clients follow their own release plan
# and restarted version numbering from 0.1.1
# https://lists.launchpad.net/openstack/msg14248.html
Epoch:            1
Version:          0.5.1
Release:          %mkrel 2
Summary:          Python API and CLI for OpenStack Glance

Group:            Development/Python
License:          ASL 2.0
URL:              http://github.com/openstack/python-glanceclient
#Source0:          https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Source0:          http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=0.5.1
#
Patch0001: 0001-Make-ConnectionRefused-error-more-informative.patch
Patch0002: 0002-Fix-weird-None-displayed-on-some-errors.patch
Patch0003: 0003-Typo-in-image-create-help-page.patch
Patch0004: 0004-adjust-egg-info-for-Fedora.patch

BuildArch:        noarch
BuildRequires:    python-setuptools

Requires:         python-httplib2
Requires:         python-keystoneclient >= 1:0.1.2
Requires:         python-prettytable
Requires:         python-setuptools
Requires:         python-warlock

%description
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.

%prep
%setup -q

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

# Remove bundled egg-info
rm -rf python_glanceclient.egg-info
sed -i '/setuptools-git/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/glance
%{python_sitelib}/glanceclient
%{python_sitelib}/*.egg-info



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:0.5.1-2.mga3
+ Revision: 378914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1:0.5.1-1.mga3
+ Revision: 314230
- imported package python-glanceclient

